Welcome to the official BlackBerry Support Community Forums.

This is your resource to discuss support topics with your peers, and learn from each other.

inside custom component

Java Development

Posts: 62
Registered: ‎07-29-2008
My Device: Not Specified

JDE 4.3 verse JDE 4.0 Best Practices, need help

I have a BB 8700 and have been using JDE 4.0 but needed another function in 4.3 so I upgraded the JDE

but I cannot download the CODs to the BB 8700 anymore since it says bad COD file. This tells me

I should update the 8700. What are the good practices here. The JDE 4.3.0 has a nice -p option for the

Signature tool so as to be in silent mode for Builds thats why I could not find that option also JDE 4.3 allows

for multiple JAD deployment type mechanisms which is the whole reason to go to JDE 4.3.


So how do I upgrade the BB8700? I assume JDE 4.3 is a good practice overall and we need that for

the nice deployment mechanism. 



As it is now I do not have a real device to test on using JDE 4.3 for the builds.



BlackBerry Development Advisor
Posts: 15,410
Registered: ‎07-09-2008
My Device: BlackBerry Passport
My Carrier: Bell

Re: JDE 4.3 verse JDE 4.0 Best Practices, need help

The BlackBerry JDE version should be equal to or lower than the target BlackBerry handheld software version.  The following link explains this further.


What Is - Appropriate version of the BlackBerry JDE
Article Number: DB-00537



However, you can use the SignatureTool from a newer version of the BlackBerry JDE.  So you can build using the version 4.0 BlackBerry JDE but sign the application using the SignatureTool from the version 4.3.0 BlackBerry JDE, giving you the -p option.

Mark Sohm
BlackBerry Development Advisor

Please refrain from posting new questions in solved threads.
Problem solved? Click the Accept As Solution button.
Found a bug? Report it using Issue Tracker